```
BSM
│ 基础设施
├─bsm-infra 
│  ├─gateway  API网关服务
|
| 注册服务组
├─bsm-registry 
│  └─actions  编译服务
|
| SDK包
├─bsm-sdk
│  ├─engine   SDK核心库
│  └─skeleton 微服务样本框架
| 
| 基础微服务
├─bsm-service-base
│  ├─initialize  基础配置微服务
│  ├─fts         文件上传传输服务
│  ├─notify      消息推送微服务:短信，邮件，APNS...
│  ├─ads         广告微服务
│  ├─license     许可证授权微服务
│  ├─feedback    意见反馈，工单微服务
│  └─cloud       个人云盘，云存储微服务
|
| 应用微服务
├─bsm-service-app
│  ├─passport    用户通行证微服务
│  └─company     企业微服务
|
| 电商微服务
├─bsm-service-ec
│  ├─address
│  ├─mall
│  └─order
|
| 内容微服务
├─bsm-service-ugc
│  └─content
|
| 运营及系统管理
├─bsm-service-mgt
│  └─operate
│  └─system
|
| 工具集
└─bsm-tools
   └─proto-merge